# ChipsInput<T> class

## Constructors

ChipsInput({Key key, List<T> initialValue: const [], InputDecoration decoration: const InputDecoration(), bool enabled: true, @required ChipsBuilder<T> chipBuilder, @required ChipsBuilder<T> suggestionBuilder, @required ChipsInputSuggestions findSuggestions, @required ValueChanged<List<T>> onChanged, ValueChanged<T> onChipTapped, int maxChips })

## Properties

chipBuilder → ChipsBuilder<T>
  final
decoration → InputDecoration
  final
enabled → bool
  final
findSuggestions → ChipsInputSuggestions
  final
initialValue → List<T>
  final
maxChips → int
  final
onChanged → ValueChanged<List<T>>
  final
onChipTapped → ValueChanged<T>
  final
suggestionBuilder → ChipsBuilder<T>
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
key → Key
  Controls how one widget replaces another widget in the tree. [...]
  final, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

createState() → ChipsInputState<T>
  Creates the mutable state for this widget at a given location in the tree. [...]
createElement() → StatefulElement
  Creates a `StatefulElement` to manage this widget's location in the tree. [...]
  inherited
debugDescribeChildren() → List<DiagnosticsNode>
  Returns a list of `DiagnosticsNode` objects describing this node's children. [...]
  @protected, inherited
debugFillProperties(DiagnosticPropertiesBuilder properties) → void
  Add additional properties associated with the node. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toDiagnosticsNode({String name, DiagnosticsTreeStyle style }) → DiagnosticsNode
  Returns a debug representation of the object that is used by debugging tools and by DiagnosticsNode.toStringDeep. [...]
  inherited
toString({DiagnosticLevel minLevel: DiagnosticLevel.debug }) → String
  Returns a string representation of this object.
  inherited
toStringDeep({String prefixLineOne: '', String prefixOtherLines, DiagnosticLevel minLevel: DiagnosticLevel.debug }) → String
  Returns a string representation of this node and its descendants. [...]
  inherited
toStringShallow({String joiner: ', ', DiagnosticLevel minLevel: DiagnosticLevel.debug }) → String
  Returns a one-line detailed description of the object. [...]
  inherited
toStringShort() → String
  A short, textual description of this widget.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited